# Site de la Mediatek

[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.txt)
[![pipeline status](https://gitlab.crans.org/mediatek/med/badges/master/pipeline.svg)](https://gitlab.crans.org/mediatek/med/commits/master)
[![coverage report](https://gitlab.crans.org/mediatek/med/badges/master/coverage.svg)](https://gitlab.crans.org/mediatek/med/commits/master)

Le projet Med permet la gestion de la base de donnée de la médiathèque de l'ENS Paris-Saclay.
Elle permet de gérer les medias, bd, jeux, emprunts, ainsi que les adhérents de la med.

## Licence 

Ce projet est sous la licence GNU public license v2.0.

## Développement

Après avoir installé un environnement Django,

```bash
./manage.py migrate
./manage.py collectstatic
./manage.py runserver
```

## Configuration d'une base MySQL

Sur le serveur mysql ou postgresl, il est nécessaire de créer une base de donnée med,
ainsi qu'un user med et un mot de passe associé.

Voici les étapes à éxecuter pour mysql :

```SQL
CREATE DATABASE club-med;
CREATE USER 'club-med'@'localhost' IDENTIFIED BY 'password';
GRANT ALL PRIVILEGES ON club-med.* TO 'club-med'@'localhost';
FLUSH PRIVILEGES;
```
